summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canoncial.com>2015-09-01 13:19:55 -0500
committerNarinder Gupta <narinder.gupta@canoncial.com>2015-09-01 14:32:36 -0500
commit8dc78e50d69a171154b619944c90bca7abe6dc85 (patch)
treea1449d4dd012a9696123726e2278538799ac8ea2
parentb5c5f74a35b7c2a3413bfac94811d8e6035aa3ae (diff)
Added execute permission on clean.sh and deploy.sh
Added the command line parameters in deply.sh for having various options in the deploy script. Options are -s "sdn type" -t "deploy type" -o "openstack" -l "lab" Based on options aboe we can deploy any combination using the same script. Change-Id: Ia888e97fc9630e9416ebf59747de7ffd79f416ae
-rwxr-xr-xci/01-deploybundle.sh22
-rwxr-xr-x[-rw-r--r--]ci/clean.sh0
-rwxr-xr-x[-rw-r--r--]ci/deploy.sh66
-rwxr-xr-xci/odl/01-deploybundle.sh24
-rwxr-xr-xci/opencontrail/01-deploybundle.sh27
5 files changed, 86 insertions, 53 deletions
diff --git a/ci/01-deploybundle.sh b/ci/01-deploybundle.sh
index f88cf861..5f64119f 100755
--- a/ci/01-deploybundle.sh
+++ b/ci/01-deploybundle.sh
@@ -1,14 +1,26 @@
#!/bin/bash
+#!/bin/bash
#placeholder for deployment script.
set -ex
-cp odl/juju-deployer/ovs-odl.yaml ./
+case "$1" in
+ 'nonha' )
+ cp opencontrail/juju-deployer/contrail.yaml ./bundles.yaml
+ ;;
+ 'ha' )
+ cp opencontrail/juju-deployer/contrail-ha.yaml ./bundles.yaml
+ ;;
+ 'tip' )
+ cp opencontrail/juju-deployer/contrail-tip.yaml ./bundles.yaml
+ ;;
+ * )
+ cp opencontrail/juju-deployer/contrail.yaml ./bundles.yaml
+ ;;
+esac
echo "... Deployment Started ...."
-JUJU_REPOSITORY=
-juju set-constraints tags=
-
-juju-deployer -d -r 13 -c ovs-odl.yaml trusty-kilo
+echo juju-deployer -d -r 13 -c bundles.yaml trusty-"$2"-contrail
echo "... Deployment finished ...."
+
diff --git a/ci/clean.sh b/ci/clean.sh
index 7affbe71..7affbe71 100644..100755
--- a/ci/clean.sh
+++ b/ci/clean.sh
diff --git a/ci/deploy.sh b/ci/deploy.sh
index 9f263f37..9721a4b0 100644..100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -1,38 +1,46 @@
#!/bin/bash
-<<<<<<< HEAD
-#placeholder for deployment script.
-set -ex
-
-cp intel/pod5/kilo/odl/nonha/deploy.sh ./deployopnfv.sh
-
-echo "bootstrap started"
-juju bootstrap --debug --to bootstrap.maas
-sleep 15
-juju deploy juju-gui --to 0
-
-echo "bootstrap finished"
-
-./deployopnfv.sh
-
-=======
set -ex
./01-bootstrap.sh
#need to put mutiple cases here where decide this bundle to deploy by default use the odl bundle.
-
-#case deploy opencontrail
-#cp ./opencontrail/01-deploybundle.sh ./01-deploybundle.sh
-
-#case deploy ODL bundle
-cp ./odl/01-deploybundle.sh ./01-deploybundle.sh
+# Below parameters are the default and we can according the release
+
+opnfvsdn=odl
+opnfvtype=nonha
+openstack=kilo
+opnfvlab=intelpod5
+
+usage() { echo "Usage: $0 [-s <odl|opencontrail>]
+ [-t <nonha|ha|tip>]
+ [-o <juno|kilo|liberty>]
+ [-l <intelpod5>]" 1>&2 exit 1;}
+
+while getopts ":s:t:o:l:h:" opt; do
+ case "${opt}" in
+ s)
+ opnfvsdn=${OPTARG}
+ ;;
+ t)
+ opnfvtype=${OPTARG}
+ ;;
+ o)
+ openstack=${OPTARG}
+ ;;
+ l)
+ opnfvlab=${OPTARG}
+ ;;
+ h)
+ usage
+ ;;
+ *)
+ ;;
+ esac
+done
+
+#copy the script which needs to get deployed as part of ofnfv release
+cp ./$opnfvsdn/01-deploybundle.sh ./01-deploybundle.sh
#case default:
-./01-deploybundle.sh
-
-#case ha:
-#./01-deploybundle.sh ha
+./01-deploybundle.sh $opnfvtype $openstack $opnfvlab
-#case tip
-#./01-deploybundle.sh tip
->>>>>>> 3b30953... Added a script to have a openstack with odl bundle.
diff --git a/ci/odl/01-deploybundle.sh b/ci/odl/01-deploybundle.sh
index 4d5da31d..3a6c10f4 100755
--- a/ci/odl/01-deploybundle.sh
+++ b/ci/odl/01-deploybundle.sh
@@ -2,18 +2,24 @@
#placeholder for deployment script.
set -ex
-cp odl/juju-deployer/ovs-odl.yaml ./
+case "$1" in
+ 'nonha' )
+ cp odl/juju-deployer/ovs-odl.yaml ./bundles.yaml
+ ;;
+ 'ha' )
+ cp odl/juju-deployer/ovs-odl-ha.yaml ./bundles.yaml
+ ;;
+ 'tip' )
+ cp odl/juju-deployer/ovs-odl-tip.yaml ./bundles.yaml
+ ;;
+ * )
+ cp odl/juju-deployer/ovs-odl.yaml ./bundles.yaml
+ ;;
+esac
echo "... Deployment Started ...."
#case openstack kilo with odl
-juju-deployer -d -r 13 -c ovs-odl.yaml trusty-kilo
-
-#case openstack kilo with odl ha
-#juju-deployer -d -r 13 -c ovs-odl-ha.yaml trusty-kilo
-
-#case openstack master tip git tree with odl
-#cp -R odl/juju-deployer/source/*.yaml ./
-#juju-deployer -d -r 13 -c ovs-odl-tip.yaml trusty-master-kilo
+juju-deployer -d -r 13 -c bundles.yaml trusty-"$2"
echo "... Deployment finished ...."
diff --git a/ci/opencontrail/01-deploybundle.sh b/ci/opencontrail/01-deploybundle.sh
index 07365780..9e9dfee3 100755
--- a/ci/opencontrail/01-deploybundle.sh
+++ b/ci/opencontrail/01-deploybundle.sh
@@ -1,19 +1,26 @@
#!/bin/bash
+#!/bin/bash
#placeholder for deployment script.
set -ex
-cp opencontrail/juju-deployer/contrail.yaml ./
+case "$1" in
+ 'nonha' )
+ cp opencontrail/juju-deployer/contrail.yaml ./bundles.yaml
+ ;;
+ 'ha' )
+ cp opencontrail/juju-deployer/contrail-ha.yaml ./bundles.yaml
+ ;;
+ 'tip' )
+ cp opencontrail/juju-deployer/contrail-tip.yaml ./bundles.yaml
+ ;;
+ * )
+ cp opencontrail/juju-deployer/contrail.yaml ./bundles.yaml
+ ;;
+esac
echo "... Deployment Started ...."
-#case openstack kilo with odl
-juju-deployer -d -r 13 -c contrail.yaml trusty-juno-contrail
-
-#case openstack kilo with odl ha
-#juju-deployer -d -r 13 -c contrail-ha.yaml trusty-juno-contrail
-
-#case openstack master tip git tree with odl
-#cp -R odl/juju-deployer/source/*.yaml ./
-#juju-deployer -d -r 13 -c contrail-tip.yaml trusty-juno-contrail
+juju-deployer -d -r 13 -c bundles.yaml trusty-"$2"-contrail
echo "... Deployment finished ...."
+